<?xml version="1.0"?>

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:output omit-xml-declaration="no" indent="yes"
		 cdata-section-elements="descr description"/>
	<!-- <xsl:strip-space elements="*"/> -->

	<!-- replace admin password -->
	<xsl:template match="/pfsense/system/user[name/text()='admin']/password/text()">%(admin_secret)s</xsl:template>
	<xsl:template match="/pfsense/system/user[name/text()='admin']/md5-hash/text()">%(admin_secret_md5)s</xsl:template>
	<xsl:template match="/pfsense/system/user[name/text()='admin']/nt-hash/text()">%(admin_secret_nt)s</xsl:template>

	<!-- replace admin ssh key -->
	<xsl:template match="/pfsense/system/user[name/text()='admin']/authorizedkeys/text()">%(admin_authorizedkeys_b64)s</xsl:template>

	<!-- replace ldapsuche password -->
	<xsl:template match="/pfsense/system/authserver[ldap_binddn/text()='CN=ldapsuche,CN=Users,DC=paedml-linux,DC=lokal']/ldap_bindpw/text()">%(ldapsuche_secret)s</xsl:template>

	<!-- replace radius shared secret -->
	<xsl:template match="/pfsense/system/authserver[type/text()='radius']/radius_secret/text()">%(radius_secret)s</xsl:template>
	<xsl:template match="/pfsense/captiveportal[auth_method/text()='radius']/radiuskey/text()">%(radius_secret)s</xsl:template>

	<!-- certificates -->
	<xsl:template match="/pfsense/cert/crt/text()">%(cert_crt_b64)s</xsl:template>
	<xsl:template match="/pfsense/cert/prv/text()">%(cert_prv_b64)s</xsl:template>
	<xsl:template match="/pfsense/ca/crt/text()">%(cert_ca_b64)s</xsl:template>

	<!-- firmware url -->
	<xsl:template match="/pfsense/system/firmware/alturl/firmwareurl/text()">%(firmwareurl)s</xsl:template>

	<!-- identity template / preserve all xml tags -->
	<xsl:template match="node()|@*">
		<xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>
